Gecode::Search::Seq::Path< Tracer >::Edge Class Reference

Search tree edge for recomputation More...

`#include <path.hh>`

## Public Member Functions

| Edge (void)
| Default constructor.
| Edge (Space *s, Space *c, unsigned int nid)
| Edge for space s with clone c (possibly NULL).
Space * | space (void) const
| Return space for edge.
void | space (Space *s)
| Set space to s.
const Choice * | choice (void) const
| Return choice.
unsigned int | alt (void) const
| Return number for alternatives.
unsigned int | truealt (void) const
| Return true number for alternatives (excluding lao optimization).
bool | leftmost (void) const
| Test whether current alternative is leftmost.
bool | rightmost (void) const
| Test whether current alternative is rightmost.
void | next (void)
| Move to next alternative.
bool | lao (void) const
| Test whether current alternative was LAO.
unsigned int | nid (void) const
| Return node identifier.
void | dispose (void)
| Free memory for edge.

## Protected Attributes

Space * | _space
| Space corresponding to this edge (might be NULL).
unsigned int | _alt
| Current alternative.
const Choice * | _choice
| Choice.
ID | _nid
| Node identifier.

## Detailed Description

template<class Tracer>
class Gecode::Search::Seq::Path< Tracer >::Edge

Search tree edge for recomputation

Definition at line 66 of file path.hh.

## Constructor & Destructor Documentation

## Edge() [1/2]

template<class Tracer>

Gecode::Search::Seq::Path< Tracer >::Edge::Edge | ( | void |  | ) |

inline

Default constructor.

Definition at line 42 of file path.hpp.

## Edge() [2/2]

template<class Tracer>

Gecode::Search::Seq::Path< Tracer >::Edge::Edge | ( | Space * | s,
|  | Space * | c,
|  | unsigned int | nid )

inline

Edge for space s with clone c (possibly NULL).

Definition at line 46 of file path.hpp.

## Member Function Documentation

## space() [1/2]

template<class Tracer>

Space * Gecode::Search::Seq::Path< Tracer >::Edge::space | ( | void |  | ) | const

inline

Return space for edge.

Definition at line 51 of file path.hpp.

## space() [2/2]

template<class Tracer>

void Gecode::Search::Seq::Path< Tracer >::Edge::space | ( | Space * | s | ) |

inline

Set space to s.

Definition at line 56 of file path.hpp.

## choice()

template<class Tracer>

const Choice * Gecode::Search::Seq::Path< Tracer >::Edge::choice | ( | void |  | ) | const

inline

Return choice.

Definition at line 93 of file path.hpp.

## alt()

template<class Tracer>

unsigned int Gecode::Search::Seq::Path< Tracer >::Edge::alt | ( | void |  | ) | const

inline

Return number for alternatives.

Definition at line 62 of file path.hpp.

## truealt()

template<class Tracer>

unsigned int Gecode::Search::Seq::Path< Tracer >::Edge::truealt | ( | void |  | ) | const

inline

Return true number for alternatives (excluding lao optimization).

Definition at line 67 of file path.hpp.

## leftmost()

template<class Tracer>

bool Gecode::Search::Seq::Path< Tracer >::Edge::leftmost | ( | void |  | ) | const

inline

Test whether current alternative is leftmost.

Definition at line 72 of file path.hpp.

## rightmost()

template<class Tracer>

bool Gecode::Search::Seq::Path< Tracer >::Edge::rightmost | ( | void |  | ) | const

inline

Test whether current alternative is rightmost.

Definition at line 77 of file path.hpp.

## next()

template<class Tracer>

void Gecode::Search::Seq::Path< Tracer >::Edge::next | ( | void |  | ) |

inline

Move to next alternative.

Definition at line 87 of file path.hpp.

## lao()

template<class Tracer>

bool Gecode::Search::Seq::Path< Tracer >::Edge::lao | ( | void |  | ) | const

inline

Test whether current alternative was LAO.

Definition at line 82 of file path.hpp.

## nid()

template<class Tracer>

unsigned int Gecode::Search::Seq::Path< Tracer >::Edge::nid | ( | void |  | ) | const

inline

Return node identifier.

Definition at line 99 of file path.hpp.

## dispose()

template<class Tracer>

void Gecode::Search::Seq::Path< Tracer >::Edge::dispose | ( | void |  | ) |

inline

Free memory for edge.

Definition at line 105 of file path.hpp.

## Member Data Documentation

## _space

template<class Tracer>

Space* Gecode::Search::Seq::Path< Tracer >::Edge::_space

protected

Space corresponding to this edge (might be NULL).

Definition at line 69 of file path.hh.

## _alt

template<class Tracer>

unsigned int Gecode::Search::Seq::Path< Tracer >::Edge::_alt

protected

Current alternative.

Definition at line 71 of file path.hh.

## _choice

template<class Tracer>

const Choice* Gecode::Search::Seq::Path< Tracer >::Edge::_choice

protected

Choice.

Definition at line 73 of file path.hh.

## _nid

template<class Tracer>

ID Gecode::Search::Seq::Path< Tracer >::Edge::_nid

protected

Node identifier.

Definition at line 75 of file path.hh.

The documentation for this class was generated from the following files:

- gecode/search/seq/path.hh
- gecode/search/seq/path.hpp